> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrape.st/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Status

> Check the progress of a historical backfill

Check the progress of an ongoing or completed historical backfill job.

<Note>This endpoint is rate-limited to **30 requests per 60 seconds**.</Note>

## Query Parameters

<ParamField query="id" type="string" required>
  The internal ID of the tracked source (e.g., a cuid).
</ParamField>

## Response

<ResponseField name="status" type="string">
  The overall status of the backfill process. Possible values: `not_started`,
  `in_progress`, `complete`.
</ResponseField>

<ResponseField name="id" type="string">
  The internal ID requested.
</ResponseField>

<ResponseField name="externalId" type="string">
  The platform's external ID of the account.
</ResponseField>

<ResponseField name="cursor" type="string | null">
  The current cursor of the backfill process. Will be `"done"` if it's
  completed.
</ResponseField>

<ResponseField name="last_id" type="string | null">
  The last message ID processed.
</ResponseField>

<ResponseField name="updated_at" type="string | null">
  The last time the status was updated, in ISO-8601 string format.
</ResponseField>

<RequestExample>
  ```bash Check Status theme={null}
  curl -X GET "https://scrape.st/backfill/status?id=clxyz123abc" \
    -H "x-api-key: YOUR_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json In Progress theme={null}
  {
    "status": "in_progress",
    "id": "clxyz123abc",
    "externalId": "12",
    "cursor": "DAABCgABFwX_JkwAABcE__8AAA==",
    "last_id": "1886493083207827456",
    "updated_at": "2026-04-22T01:00:00.000Z"
  }
  ```

  ```json Complete theme={null}
  {
    "status": "complete",
    "id": "clxyz123abc",
    "externalId": "12",
    "cursor": "done",
    "last_id": "1801234083207827000",
    "updated_at": "2026-04-22T01:05:00.000Z"
  }
  ```
</ResponseExample>
